StreamingEncoderWriter (Grails 5.1.1)

Package: org.grails.encoder

## [Java] Class StreamingEncoderWriter

- org.grails.encoder.StreamingEncoderWriter

- All Implemented Interfaces and Traits:
    EncodedAppenderFactory, EncoderAware

      public class StreamingEncoderWriter
      extends java.io.FilterWriter
      implements EncodedAppenderFactory, EncoderAware

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingEncoderWriter (java.io.Writer out, StreamingEncoder encoder, EncodingStateRegistry encodingStateRegistry)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public EncodedAppender` | `getEncodedAppender()`
    `` | `public Encoder` | `getEncoder()`
    `` | `protected EncodingState` | `lookupEncodingState(java.lang.String str, int off, int len)`
    `` | `protected boolean` | `shouldEncodeWith(Encoder encoderToApply, EncodingState encodingState)`
    `` | `public void` | `write(char[] cbuf, int off, int len)`
    `` | `public void` | `write(java.lang.String str, int off, int len)`
    `` | `public void` | `write(int c)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.FilterWriter` | `java.io.FilterWriter#write(java.lang.String, int, int), java.io.FilterWriter#write([C, int, int), java.io.FilterWriter#write(int), java.io.FilterWriter#flush(), java.io.FilterWriter#close(), java.io.FilterWriter#append(java.lang.CharSequence, int, int), java.io.FilterWriter#append(char), java.io.FilterWriter#append(java.lang.CharSequence), java.io.FilterWriter#append(char), java.io.FilterWriter#append(java.lang.CharSequence, int, int), java.io.FilterWriter#append(java.lang.CharSequence), java.io.FilterWriter#write([C), java.io.FilterWriter#write(java.lang.String), java.io.FilterWriter#wait(long, int), java.io.FilterWriter#wait(long), java.io.FilterWriter#wait(), java.io.FilterWriter#equals(java.lang.Object), java.io.FilterWriter#toString(), java.io.FilterWriter#hashCode(), java.io.FilterWriter#getClass(), java.io.FilterWriter#notify(), java.io.FilterWriter#notifyAll()`

- - ### Constructor Detail

    - #### public StreamingEncoderWriter(java.io.Writer out, StreamingEncoder encoder, EncodingStateRegistry encodingStateRegistry)

  - ### Method Detail

    - #### @java.lang.Override public EncodedAppender getEncodedAppender()

    - #### @java.lang.Override public Encoder getEncoder()

    - #### protected EncodingState lookupEncodingState(java.lang.String str, int off, int len)

    - #### protected boolean shouldEncodeWith(Encoder encoderToApply, EncodingState encodingState)

    - #### @java.lang.Override public void write(char[] cbuf, int off, int len)

    - #### @java.lang.Override public void write(java.lang.String str, int off, int len)

    - #### @java.lang.Override public void write(int c)